[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# StrToCurrDef

Convert a string to a currency value, using a default value

## Declaration

Source position: line 0

`function StrToCurrDef(`
`const S: string;`
`Default: Currency`
`):Currency; function StrToCurrDef(`
`const S: string;`
`Default: Currency;`
`const FormatSettings: TFormatSettings`
`):Currency;`

## Description

StrToCurrDef converts a string to a currency value and returns the value. The string should contain a valid currency amount, without currency symbol. If the conversion fails, the fallback Default value is returned.

## Errors

On error, the Default value is returned.

## See also

CurrToStr |  | Convert a currency value to a string.
StrToCurr |  | Convert a string to a currency value

Documentation generated on: Feb 26 2014